Bug 10433 - dosfsck fails on non-latin1 LFNs
: dosfsck fails on non-latin1 LFNs
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dosfstools)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-12-15 20:50 by
Modified: 2007-04-21 16:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-15 20:50:47
wrar@wrars-comp ~ $ dd if=/dev/zero of=test.img bs=1M count=10
10+0 записей считано
10+0 записей написано
 скопировано 10485760 байт (10 MB), 0,520693 секунд, 20,1 MB/s
wrar@wrars-comp ~ $ /sbin/mkfs.vfat test.img
mkfs.vfat 2.11 64-bit (12 Mar 2005)
wrar@wrars-comp ~ $ sudo mount -o loop -t vfat test.img test/ -o 
iocharset=cp1251,codepage=866
wrar@wrars-comp ~ $ sudo touch test/йцукенфывапро.ячптаыфвмя
wrar@wrars-comp ~ $ sudo umount test
wrar@wrars-comp ~ $ /sbin/fsck.vfat test.img
dosfsck 2.11, 12 Mar 2005, FAT32, LFN
/:0Gv:0H6:0H3:0Gw:0Gr:0Gz:0H4:0HB:0Go:0Gm:0G-:0H0:0G+.:0HF:0H7:0G-:0H2:0Gm:0HB:0H4:0Go:0Gy:0HF
  Bad file name.
1) Drop file
2) Rename file
3) Auto-rename
4) Keep it
?
------- Comment #1 From 2006-12-16 10:15:50 -------
Странно, недавно как раз отработал...
------- Comment #2 From 2007-01-04 13:39:51 -------
Fixed in dosfstools-2.11-alt4.